org.jbpm.workflow.core.node

## Class CompositeNode.CompositeNodeStart

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.node.CompositeNode.CompositeNodeStart

- All Implemented Interfaces:
    Serializable, Contextable, ContextResolver, org.kie.api.definition.process.Node
  Enclosing class:
    CompositeNode

      public static class CompositeNode.CompositeNodeStart
      extends NodeImpl

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeNodeStart(CompositeNode parentNode, org.kie.api.definition.process.Node outNode, String outType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.definition.process.Node` | `getInNode()`
    `long` | `getInNodeId()`
    `String` | `getInType()`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeNodeStart

          public CompositeNodeStart(CompositeNode parentNode,
                                    org.kie.api.definition.process.Node outNode,
                                    String outType)

  - ### Method Detail

    - #### getInNode

          public org.kie.api.definition.process.Node getInNode()

    - #### getInNodeId

          public long getInNodeId()

    - #### getInType

          public String getInType()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.